Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 302468

Summary: sys-devel/gcc-4.4.3-r2 stabilization
Product: Gentoo Linux Reporter: Samuli Suominen <ssuominen>
Component: Current packagesAssignee: Please assign to toolchain <gcc-porting>
Status: RESOLVED FIXED    
Severity: enhancement CC: axiator, darkbasic, doochik, esigra, nikoli, peterk2, the_paya, web, zorry
Priority: High Keywords: STABLEREQ, Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 249226, 270353, 275620, 278355, 281427, 289342, 294831, 297839, 298855, 300595, 301325, 302473, 302477, 302479, 302480, 302481, 302483, 302497, 302499, 302500, 302501, 302502, 302504, 302506, 302510, 302512, 302514, 305059, 306405, 308433, 309017, 309021, 309023, 309025, 309027, 309031, 309033, 309167, 309169, 318649, 319885, 319887, 321637, 321859, 322489, 322599, 323027, 323373    
Bug Blocks: 241910    

Description Samuli Suominen gentoo-dev 2010-01-27 17:02:53 UTC
I'm not suggesting it should go stable now, but we should start collecting
bugs here that need to be fixed or stabilized before it can go stable.
Comment 1 Peter Karlsson 2010-01-30 11:22:05 UTC
(In reply to comment #0)
> I'm not suggesting it should go stable now, but we should start collecting
> bugs here that need to be fixed or stabilized before it can go stable.

I know we shouldn't comment in the tracker but... doesn't this tracker handle
the same issue?:
https://bugs.gentoo.org/show_bug.cgi?id=249226

I may have misunderstood something. I apologize if so...
Comment 2 Samuli Suominen gentoo-dev 2010-01-30 13:56:30 UTC
(In reply to comment #1)
> I know we shouldn't comment in the tracker but... doesn't this tracker handle
> the same issue?:

No, it's tracking /unfixed/ bugs. This is tracking /fixed/ bugs required for upcoming stabilization.

And no talking here, please.
Comment 3 Samuli Suominen gentoo-dev 2010-04-15 18:47:22 UTC
time to call for sys-devel/gcc-4.4.3 stabilization? adjust summary, CC arch's.
Comment 4 Mark Loeser (RETIRED) gentoo-dev 2010-04-15 19:08:31 UTC
(In reply to comment #3)
> time to call for sys-devel/gcc-4.4.3 stabilization? adjust summary, CC arch's.
> 

Yea, I'll open one hopefully tonight or tomorrow.  I just want to add an ewarn into the ebuild before marking it stable to warn people about possible instabilities with graphite.
Comment 5 Mark Loeser (RETIRED) gentoo-dev 2010-04-24 18:22:47 UTC
Archs, please test and mark gcc-4.4.3 stable.  There are some bugs that still aren't closed, but most are low priority.  You may want to make sure there are no other stablizations you should do before marking this version stable.

Thanks,

Mark
Comment 6 Javier Villavicencio (RETIRED) gentoo-dev 2010-04-24 18:59:21 UTC
bsd doesn't do stable.
Comment 7 Mark Loeser (RETIRED) gentoo-dev 2010-04-24 20:57:40 UTC
Sorry, I take that back.  dirtyepic found a patch that we need to add so we don't have a nightmare in dealing with gcc-4.5.0 and 4.4.* being installed next to each other.
Comment 8 Ryan Hill (RETIRED) gentoo-dev 2010-05-13 03:20:30 UTC
that patch broke bsd but seems alright otherwise (bug #317211).  i think we should be ready to go here.
Comment 9 Mark Loeser (RETIRED) gentoo-dev 2010-05-13 22:40:58 UTC
Agreed, lets give this another go. Archs, please test gcc-4.4.3-r2 and mark stable.

Thanks
Comment 10 Thomas Kahle (RETIRED) gentoo-dev 2010-05-15 08:15:40 UTC
For USE="graphite" >=dev-libs/cloog-ppl-0.15.4 has to go stable with this one.
Comment 11 Ryan Hill (RETIRED) gentoo-dev 2010-05-15 21:20:54 UTC
dev-libs/ppl: bug #319885
dev-libs/cloog-ppl: bug #319887
Comment 12 Thomas Kahle (RETIRED) gentoo-dev 2010-05-19 17:22:51 UTC
Archtesting on x86 (+glibc-2.11.1): I built many useflag combinations and all are fine. I built stable reverse dependencies and all are fine. I have been using this new version as the main system compiler for almost a week rebuilding various things. The only issue encountered is bug 320505 which might be completely unrelated in the end. 
Comment 13 Markos Chandras (RETIRED) gentoo-dev 2010-05-25 22:18:11 UTC
Stable on amd64
Comment 14 Nico Baggus 2010-05-27 00:52:44 UTC
on my amd64 
the gcj fails to compile with the folowing error:

libtool: link: /var/tmp/portage/sys-devel/gcc-4.4.3-r2/work/build/gcc/gcj -B/var/tmp/portage/sys-devel/gcc-4.4.3-r2/work/build/x86_64-pc-linux-gnu/libjava/ -B/var/tmp/portage/sys-devel/gcc-4.4.3-r2/work/build/gcc/ -fomit-frame-pointer -O2 -pipe -mno-tls-direct-seg-refs -g -o .libs/gappletviewer --main=gnu.classpath.tools.appletviewer.Main -shared-libgcc  -L/var/tmp/portage/sys-devel/gcc-4.4.3-r2/work/build/x86_64-pc-linux-gnu/libjava/.libs -L/var/tmp/portage/sys-devel/gcc-4.4.3-r2/work/build/x86_64-pc-linux-gnu/libjava -Wl,--as-needed ./.libs/libgcj-tools.so -Wl,-rpath -Wl,/usr/lib/../lib64
./.libs/libgcj-tools.so: undefined reference to `fmod'
collect2: ld returned 1 exit status
make[3]: *** [grmic] Error 1
make[3]: *** Waiting for unfinished jobs....
./.libs/libgcj-tools.so: undefined reference to `fmod'
collect2: ld returned 1 exit status
make[3]: *** [gappletviewer] Error 1
./.libs/libgcj-tools.so: undefined reference to `fmod'
collect2: ld returned 1 exit status
make[3]: *** [grmiregistry] Error 1
make[3]: Leaving directory `/var/tmp/portage/sys-devel/gcc-4.4.3-r2/work/build/x86_64-pc-linux-gnu/libjava'
make[2]: *** [all-recursive] Error 1

Build flags: 
[ebuild  NS   ] sys-devel/gcc-4.4.3-r2 [4.3.4] USE="fortran gcj gtk mudflap (multilib) nls nptl openmp (-altivec) -bootstrap -build -doc (-fixed-point) -graphite (-hardened) (-libffi) -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla" 0 kB
Comment 15 SpanKY gentoo-dev 2010-05-28 20:37:03 UTC
you dont post issues inline, you file new bugs and mark them as blockers of this
Comment 16 Nico Baggus 2010-05-29 21:08:47 UTC
OK, Done
Comment 17 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-06-04 19:32:32 UTC
x86 stable, thanks Thomas!
Comment 18 Markus Meier gentoo-dev 2010-06-10 08:49:23 UTC
arm stable, also tested by armin76 (thanks).
Comment 19 Raúl Porcel (RETIRED) gentoo-dev 2010-06-13 10:50:24 UTC
alpha/ia64/sh stable
Comment 20 Samuli Suominen gentoo-dev 2010-07-10 21:49:35 UTC
Looks good on ppc64, using a chroot w/ gcc-4.4.3-r2 and glibc-2.11.2 and world is built with it.
Comment 21 Samuli Suominen gentoo-dev 2010-07-18 16:57:31 UTC
ppc64 stable
Comment 22 Joe Jezak (RETIRED) gentoo-dev 2010-08-13 17:11:21 UTC
Looks good on ppc as well. Closing since we're the last arch CC'd.